%define name ax25
%define version 0.0.11
%define release %mkrel 9

%define major _0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Name: %{name}
Summary: Libraries for Amateur AX25 
Version: %{version}
Release: %{release}
Source: lib%{name}-%{version}.tar.bz2
Url: http://ax25.sourceforge.net/
Group: Communications
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: kernel >= 2.2

%description
Libraries for Amateur AX25 (kernel >= 2.2).
This package is split off from the previous ax25-utils.

%package -n %libname
Summary: Libraries for Amateur AX25 
Group: System/Libraries
Obsoletes: libax25
Provides: libax25

%description -n %libname
Libraries for Amateur AX25 


%package -n %libnamedev
Summary: Development package for %{name}
Group: Development/C
Requires: %libname = %version
Provides: libax25-devel
Provides: ax25-devel
Obsoletes: libax25-devel

%description -n %libnamedev
Development package for %{name}
This package is split off from the previous ax25-utils.

%prep

%setup -q -n lib%{name}-%{version}

%configure

%build

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_mandir}/man5/*

%doc README INSTALL ChangeLog AUTHORS NEWS

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/netax25/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.11-9mdv2009.0
+ Revision: 243098
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.11-7mdv2008.1
+ Revision: 189880
- Fix groups

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.0.11-6mdv2008.1
+ Revision: 135826
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import ax25


* Mon Jul 31 2006 Lenny Cartier <lenny@mandriva.com> 0.0.11-6mdv2007.0
- rebuild

* Tue May 16 2006 Lenny Cartier <lenny@mandriva.com> 0.0.11-5mdk
- rebuild

* Fri Apr 08 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.11-4mdk
- reupload

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.11-3mdk
- provides ax25-devel

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.11-2mdk
- rename libraries packages

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.11-1mdk
- 0.0.11

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.10-2mdk
- rebuild

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.10-1mdk
- 0.0.10
- fix spec

* Mon Aug 20 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-5mdk
- rebuild

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-4mdk
- fixed by Laurent Grawet <laurent.grawet@ibelgique.com> :
	- Corrected group

* Fri Aug 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-3mdk
- clean spec

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-2mdk
- macros
- bm

* Tue Jun 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-1mdk
- new in contribs
